Ticket #36081

curve25519-sha256鍵交換のサポート

Open Date: 2016-03-01 12:16 Last Update: 2018-09-04 14:49

Reporter:
Owner:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
7
Severity:
7
Resolution:
Accepted
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

以下の鍵交換方式のサポート

  • curve25519-sha256
  • curve448-sha256
  • curve25519-sha256@libssh.org

curve25519-sha256 は draft-baushke-ssh-dh-group-sha2-05 でMUSTになる模様
draft-ietf-curdle-ssh-kex-sha2-10 では SHOULD になっている。

c.f.

Attachment File List

No attachments

Ticket History (3/6 Histories)

2016-03-01 12:16 Updated by: doda
  • New Ticket "curve25519-sha256鍵交換のサポート" created
2018-01-08 07:04 Updated by: doda
  • Resolution Update from None to Accepted
  • Severity Update from 5 - Medium to 6
  • Priority Update from 5 - Medium to 6
  • Details Updated
Comment

OpenSSHは--without-opensslでビルドした場合は鍵交換がcurve25519-sha256のみのとなる。

Windows10のOpenSSHは--without-opensslでビルドしているっぽい(要確認)ので、優先度を上げる。

2018-04-13 13:19 Updated by: doda
  • Owner Update from (None) to doda
  • Milestone Update from (None) to Tera Term 4.99 (closed)
  • Severity Update from 6 to 7
  • Priority Update from 6 to 7
  • Details Updated
Comment

#38203 の原因の一つなので、2.85 での対応を目指す。

2018-06-01 12:56 Updated by: doda
2018-09-01 09:01 Updated by: None
2018-09-04 14:49 Updated by: maya

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login